Package com.google.javascript.jscomp

# Class FindExportableNodes.GenerateNodeContext

java.lang.Object
com.google.javascript.jscomp.FindExportableNodes.GenerateNodeContext

Enclosing class:
  `FindExportableNodes`

public static class FindExportableNodes.GenerateNodeContext extends Object
Context holding the node references required for generating the export calls.

## Constructor Summary

Constructors
Constructor
Description
`GenerateNodeContext(Node node, Node scriptNode, Node contextNode)`

## Method Summary

Modifier and Type
Method
Description
`Node`
`getContextNode()`
`Node`
`getNode()`
`Node`
`getScriptNode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateNodeContext

public GenerateNodeContext(Node node, Node scriptNode, Node contextNode)

## Method Details

### getNode

public Node getNode()

### getScriptNode

public Node getScriptNode()

### getContextNode

public Node getContextNode()